Bug 1409178 - ddclient starts even if disabled
Summary: ddclient starts even if disabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ddclient
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Scott Talbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-30 02:35 UTC by Chris Schanzle
Modified: 2017-01-17 22:51 UTC (History)
4 users (show)

Fixed In Version: ddclient-3.8.3-2.fc25 ddclient-3.8.3-2.fc24 ddclient-3.8.3-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 21:49:45 UTC


Attachments (Terms of Use)
networkmanager dispatcher patch to start ddclient only if service is enabled (454 bytes, patch)
2016-12-30 02:35 UTC, Chris Schanzle
no flags Details | Diff

Description Chris Schanzle 2016-12-30 02:35:11 UTC
Created attachment 1236021 [details]
networkmanager dispatcher patch to start ddclient only if service is enabled

Description of problem:
even if ddclient is disabled, it is started when networkmanager runs 
/etc/NetworkManager/dispatcher.d/50-ddclient

Version-Release number of selected component (if applicable):
ddclient-3.8.3-1.fc25.noarch

How reproducible:
100%

Steps to Reproduce:
1.  systemctl disable ddclient
2.  reboot
3.  systemctl status ddclient

Actual results:
 ddclient.service - A Perl Client Used To Update Dynamic DNS
   Loaded: loaded (/usr/lib/systemd/system/ddclient.service; disabled; vendor preset: disabled)
   Active: active (running) since Thu 2016-12-29 19:43:27 EST; 1h 19min ago
  Process: 1765 ExecStart=/usr/sbin/ddclient $DDCLIENT_OPTIONS (code=exited, status=0/SUCCESS)
  Process: 1754 ExecStartPre=/bin/touch /var/cache/ddclient/ddclient.cache (code=exited, status=0/SUCCESS)
 Main PID: 1813 (ddclient - slee)
    Tasks: 1 (limit: 4915)
   CGroup: /system.slice/ddclient.service
           └─1813 ddclient - sleeping for 50 seconds


Expected results:
 ddclient.service - A Perl Client Used To Update Dynamic DNS
   Loaded: loaded (/usr/lib/systemd/system/ddclient.service; disabled; vendor preset: disabled)
   Active: inactive (dead)


Additional info:
patch attached

Comment 1 Scott Talbert 2016-12-30 19:48:34 UTC
Thanks for the bug report and patch.

Comment 2 Fedora Update System 2016-12-30 19:56:19 UTC
ddclient-3.8.3-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-19ed277f63

Comment 3 Chris Schanzle 2016-12-30 20:49:23 UTC
Thanks, Scott!  Thanks for the quick response.  I would *really* appreciate an update to EPEL as well...and while I personally have no Fedora 24 systems, they probably should be included.

Comment 4 Scott Talbert 2016-12-30 21:06:03 UTC
(In reply to Chris Schanzle from comment #3)
> Thanks, Scott!  Thanks for the quick response.  I would *really* appreciate
> an update to EPEL as well...and while I personally have no Fedora 24
> systems, they probably should be included.

OK, F24 is trivially easy.  Which EPEL(s) would you like the update in?

Comment 5 Fedora Update System 2016-12-30 21:24:18 UTC
ddclient-3.8.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c39971b3a

Comment 6 Chris Schanzle 2016-12-30 22:49:17 UTC
definitely epel/7 please!

I don't have issues on el6 as ddclient-3.8.1-9.el6.noarch does not ship /etc/NetworkManager/dispatcher.d/50-ddclient...whoops, that's an ATrpms package on my el6 boxes.  But the epel/6 does seem it would have the problem:

rpm -qlp epel/6/x86_64/ddclient-3.8.3-1.el6.noarch.rpm | grep dispatch
/etc/NetworkManager/dispatcher.d/50-ddclient

An update would be nice if you have the time.  Thanks!

Comment 7 Chris Schanzle 2016-12-30 22:53:45 UTC
Looks like no update for el6 is needed as the dispatcher script does the right thing already:

$ rpm2cpio epel/6/x86_64/ddclient-3.8.3-1.el6.noarch.rpm | cpio -iv --to-stdout ./etc/NetworkManager/dispatcher.d/50-ddclient | grep start
./etc/NetworkManager/dispatcher.d/50-ddclient
    /sbin/chkconfig ddclient && /sbin/service ddclient start || :

Comment 8 Fedora Update System 2016-12-30 23:06:06 UTC
ddclient-3.8.3-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61a899e69f

Comment 9 Fedora Update System 2016-12-31 08:49:16 UTC
ddclient-3.8.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-61a899e69f

Comment 10 Fedora Update System 2016-12-31 09:28:07 UTC
ddclient-3.8.3-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-19ed277f63

Comment 11 Fedora Update System 2016-12-31 09:52:05 UTC
ddclient-3.8.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2c39971b3a

Comment 12 Fedora Update System 2017-01-07 21:49:45 UTC
ddclient-3.8.3-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-01-07 22:49:18 UTC
ddclient-3.8.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-01-17 22:51:05 UTC
ddclient-3.8.3-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.